from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComRegnCriticPass(UltmarcTable):
    """レイアウト区分026: COM_地域クリティカルパス"""
    maint_flag: str                 # 修正区分
    regn_co_critic_pass_cd: str     # 地域クリティカルパスコード
    disease_name_kanji: str         # 疾患名（漢字）

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.maint_flag = record[2]
        self.regn_co_critic_pass_cd = record[1]
        self.disease_name_kanji = record[5]
